import { Store } from "../types";
interface MemoryStoreOptions {
    /**
     * The maximum size of the cache, checked by applying the length
     * function to all values in the cache. Defaults to `Infinity`.
     */
    max?: number;
}
export declare const memoryStore: (options?: MemoryStoreOptions | undefined) => <T>() => Store<T>;
export {};
